<?php declare(strict_types=1);

namespace App\Entity;


/**
 *
 */
class DynDNS
{
	
	/**
	 */
	public function __construct(private string $name, private string $a = '', private string $aaaa = '', private $password = '', private int $id = 0)
	{
	}
	
	/**
	 * @return string
	 */
	public function getPassword(): string
	{
		return $this->password;
	}
	
	/**
	 * @param string $password
	 */
	public function setPassword(string $password): void
	{
		$this->password = $password;
	}
	
	/**
	 * @return String
	 */
	public function getA(): string
	{
		return $this->a;
	}
	
	/**
	 * @return String
	 */
	public function getAaaa(): string
	{
		return $this->aaaa;
	}
	
	/**
	 * @return int
	 */
	public function getId(): int
	{
		return $this->id;
	}
	
	/**
	 * @return String
	 */
	public function getName(): string
	{
		return $this->name;
	}
	
	/**
	 * @param String $a
	 */
	public function setA(string $a): void
	{
		$this->a = $a;
	}
	
	/**
	 * @param String $aaaa
	 */
	public function setAaaa(string $aaaa): void
	{
		$this->aaaa = $aaaa;
	}
	
	/**
	 * @param int $id
	 */
	public function setId(int $id): void
	{
		$this->id = $id;
	}
	
	/**
	 * @param String $name
	 */
	public function setName(string $name): void
	{
		$this->name = $name;
	}
	
}
